Autor Wątek: Macaw-movies  (Przeczytany 1797 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Macaw-movies
« dnia: Kwiecień 20, 2015, 13:27:15 »
Sympatykom filmów, polecam nowy menedżer ich kolekcji: macaw-movies (zob.: https://macawmovies.wordpress.com/2015/03/). Program jest w dość wczesnej wersji rozwojowej, niemniej jednak prawidłowo kompiluje się i działa.
PKGBUILD
#Maintainer: pavbaranov

pkgname=macaw-movies-git
pkgver=r278.d5d09a8
pkgrel=1
pkgdesc='A movie collection organizer'
url='http://quickgit.kde.org/?p=macaw-movies.git'
arch=('x86_64')
license=('GPL v.3')
depends=('qt5-base' 'ki18n' 'kiconthemes' 'kio' 'kxmlgui')
makedepends=('extra-cmake-modules' 'kdoctools' 'git')
source=("git://anongit.kde.org/macaw-movies.git")
md5sums=('SKIP')
_gitpgkname=macaw-movies

pkgver() {
  cd macaw-movies
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare() {
  cd $_gitpkgname
}

build() {
  mkdir -p build
  cd build
 
  cmake ../macaw-movies \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=lib \
    -DPLUGIN_INSTALL_DIR=/usr/lib/qt5/plugins \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
  make
}

package() {
   cd build
   make DESTDIR="$pkgdir" install
}
« Ostatnia zmiana: Czerwiec 11, 2015, 07:57:53 wysłana przez pavbaranov »

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Macaw-movies
« Odpowiedź #1 dnia: Czerwiec 11, 2015, 07:51:51 »
Zaczęły ukazywać się już przedpremierowe wersje. Po alpha (v0.1.0) nadszedł czas na jej poprawki (v0.1.1).
PKGBUILD
#Maintainer: pavbaranov

pkgname=macaw-movies
pkgver=0.1.1
pkgrel=1
pkgdesc='A movie collection organizer'
url='https://macawmovies.wordpress.com/'
arch=('x86_64')
license=('GPL v.3')
depends=('qt5-base' 'ki18n' 'kiconthemes' 'kio' 'kxmlgui')
makedepends=('extra-cmake-modules' 'kdoctools' 'git')
source=("https://github.com/macaw-movies/macaw-movies/archive/v$pkgver.tar.gz")
conflicts=('macaw-movies-git')
md5sums=('SKIP')

prepare() {
  cd $pkgname-$pkgver
}

build() {
  mkdir -p build
  cd build
 
  cmake ../macaw-movies-0.1.1 \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=lib \
    -DPLUGIN_INSTALL_DIR=/usr/lib/qt5/plugins \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
  make
}

package() {
        install -D -m755 "${srcdir}/build/macaw-movies" "${pkgdir}/usr/bin/macaw-movies"
}
Instalacja nowej paczki dokonuje odinstalowania dotychczasowej macaw-movies-git.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Macaw-movies
« Odpowiedź #2 dnia: Sierpień 19, 2015, 11:04:41 »
W AUR znajduje się skrypt dla macaw-movies-git, która jest tożsama z moim macaw-movies powyżej (w zasadzie skrypt z AUR nie powinien nazywać się -git), przestaję zatem opiekować się powyższym skryptem.

 

Polityka cookies
Darmowe Fora | Darmowe Forum
pack-of-black-and-white jezyki2 wataha-mocy filtrowa36 wojownicyburzy